Bug 131376 - Evolution Wizard Locks During Entry
Evolution Wizard Locks During Entry
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-31 14:49 EDT by David Richards
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 12:40:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Richards 2004-08-31 14:49:59 EDT
On our thin clients, when using the account Wizard the screen locks
after you select your data source as GroupWise and hit Next.

This does not happen on RH 9 and does not happen on Citrix Metaframe
for Unix.  I was told on the IRC channel that it appears to be a Pango
problem.

Thread 2 (Thread 31267760 (LWP 23477)):
#0  0x00bb9402 in __kernel_vsyscall ()
#1  0x00850632 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#2  0x00a40838 in e_msgport_wait () from
/usr/lib/evolution/1.5/libeutil.so.0
#3  0x00a40ef3 in e_thread_busy () from
/usr/lib/evolution/1.5/libeutil.so.0
#4  0x0084df5c in start_thread () from /lib/tls/libpthread.so.0
#5  0x006d1bca in clone () from /lib/tls/libc.so.6

Thread 1 (Thread -150415040 (LWP 23472)):
#0  0x00bb9402 in __kernel_vsyscall ()
#1  0x006ca661 in ___newselect_nocancel () from /lib/tls/libc.so.6
#2  0x007a67d2 in _XEnq () from /usr/X11R6/lib/libX11.so.6
#3  0x007a6a71 in _XReadPad () from /usr/X11R6/lib/libX11.so.6
#4  0x0078f633 in XGetImage () from /usr/X11R6/lib/libX11.so.6
#5  0x0096839a in XftGlyphSpecCore () from /usr/X11R6/lib/libXft.so.2
#6  0x0095ef86 in XftDrawGlyphSpec () from /usr/X11R6/lib/libXft.so.2
#7  0x00c0c2bc in _pango_xft_font_new () from
/usr/lib/libpangoxft-1.0.so.0
#8  0x00c0caa7 in pango_xft_render () from /usr/lib/libpangoxft-1.0.so.0
#9  0x003ef4af in gdk_drag_get_selection () from
/usr/lib/libgdk-x11-2.0.so.0
#10 0x003cb5f8 in gdk_draw_glyphs () from /usr/lib/libgdk-x11-2.0.so.0
#11 0x003d4cd2 in gdk_pixmap_get_type () from /usr/lib/libgdk-x11-2.0.so.0

#12 0x003cb5f8 in gdk_draw_glyphs () from /usr/lib/libgdk-x11-2.0.so.0
#13 0x003e035c in gdk_window_get_internal_paint_info ()
   from /usr/lib/libgdk-x11-2.0.so.0
#14 0x003cb5f8 in gdk_draw_glyphs () from /usr/lib/libgdk-x11-2.0.so.0
#15 0x003d11d9 in gdk_draw_layout_line_with_colors ()
   from /usr/lib/libgdk-x11-2.0.so.0
#16 0x003d1934 in gdk_draw_layout_with_colors ()
   from /usr/lib/libgdk-x11-2.0.so.0
#17 0x003d1c7b in gdk_draw_layout () from /usr/lib/libgdk-x11-2.0.so.0
#18 0x00265621 in gtk_paint_hline () from /usr/lib/libgtk-x11-2.0.so.0
#19 0x00268dfa in gtk_paint_layout () from /usr/lib/libgtk-x11-2.0.so.0
#20 0x001f8aa5 in gtk_label_set_attributes () from
/usr/lib/libgtk-x11-2.0.so.0
#21 0x0020d617 in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib/libgtk-x11-2.0.so.0
#22 0x00aec6b2 in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#23 0x00aec347 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#24 0x00b02576 in g_signal_has_handler_pending ()
   from /usr/lib/libgobject-2.0.so.0
#25 0x00b03613 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#26 0x00b03c5a in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#27 0x00300b75 in gtk_widget_activate () from /usr/lib/libgtk-x11-2.0.so.0
#28 0x00190e7e in gtk_container_propagate_expose ()
   from /usr/lib/libgtk-x11-2.0.so.0

#29 0x00190ead in gtk_container_propagate_expose ()
   from /usr/lib/libgtk-x11-2.0.so.0
#30 0x0026beb5 in gtk_table_get_homogeneous ()
   from /usr/lib/libgtk-x11-2.0.so.0
#31 0x0018ee80 in gtk_container_forall () from
/usr/lib/libgtk-x11-2.0.so.0
#32 0x00190b47 in gtk_container_get_focus_hadjustment ()
   from /usr/lib/libgtk-x11-2.0.so.0
#33 0x0020d617 in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib/libgtk-x11-2.0.so.0
#34 0x00aec6b2 in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#35 0x00aec347 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#36 0x00b02576 in g_signal_has_handler_pending ()
   from /usr/lib/libgobject-2.0.so.0
#37 0x00b03613 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#38 0x00b03c5a in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#39 0x00300b75 in gtk_widget_activate () from /usr/lib/libgtk-x11-2.0.so.0
#40 0x00190e7e in gtk_container_propagate_expose ()
   from /usr/lib/libgtk-x11-2.0.so.0
#41 0x00190ead in gtk_container_propagate_expose ()
   from /usr/lib/libgtk-x11-2.0.so.0
#42 0x00150f66 in gtk_bin_get_type () from /usr/lib/libgtk-x11-2.0.so.0
#43 0x0018ee80 in gtk_container_forall () from
/usr/lib/libgtk-x11-2.0.so.0
#44 0x00190b47 in gtk_container_get_focus_hadjustment ()

   from /usr/lib/libgtk-x11-2.0.so.0
#45 0x001b3dc0 in gtk_event_box_set_above_child ()
   from /usr/lib/libgtk-x11-2.0.so.0
#46 0x0020d617 in gtk_marshal_VOID__UINT_STRING ()
   from /usr/lib/libgtk-x11-2.0.so.0
#47 0x00aec6b2 in g_cclosure_new_swap () from /usr/lib/libgobject-2.0.so.0
#48 0x00aec347 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#49 0x00b02576 in g_signal_has_handler_pending ()
   from /usr/lib/libgobject-2.0.so.0
#50 0x00b03613 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#51 0x00b03c5a in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#52 0x00300b75 in gtk_widget_activate () from /usr/lib/libgtk-x11-2.0.so.0
#53 0x0020bef1 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#54 0x003e15bf in gdk_window_clear_area_e () from
/usr/lib/libgdk-x11-2.0.so.0
#55 0x003e1658 in gdk_window_process_all_updates ()
   from /usr/lib/libgdk-x11-2.0.so.0
#56 0x0018e9ac in gtk_container_check_resize ()
   from /usr/lib/libgtk-x11-2.0.so.0
#57 0x0099d848 in g_child_watch_add () from /usr/lib/libglib-2.0.so.0
#58 0x0099a4fb in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#59 0x0099bf82 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
#60 0x0099c22f in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#61 0x0020af3e in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0

#62 0x0805c73f in e_shell_startup_wizard_create ()
#63 0x08062369 in e_shell_construct ()
#64 0x08062486 in e_shell_new ()
#65 0x08063552 in e_sidebar_new ()
#66 0x0099d848 in g_child_watch_add () from /usr/lib/libglib-2.0.so.0
#67 0x0099a4fb in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#68 0x0099bf82 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
#69 0x0099c22f in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#70 0x06c1b3f0 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#71 0x08063ceb in main ()
~                                                                    
          
~
Comment 1 Dave Malcolm 2004-08-31 15:18:11 EDT
(...and the theme is BlueCurve, according to IRC)

Owen: any thoughts on possible Pango issues?   The next screen on that
dialog is the first one to have insensitised labels, so perhaps that
is the problem?

(There's also a separate problem with Groupwise with SSL support in
our libsoup packages, so this might be entirely unrelated to Pango,
though I don't think so since if I enter a non-existent server into
the settings page it manages to display the next page for me)
Comment 2 Owen Taylor 2004-08-31 15:35:41 EDT
The stack trace just shows GTK+ waiting in where it will be spending
most of its time when drawing to a remote X server without the RENDER
extension. Are things locked up hard or is the app stuck in a 
redraw loop?

Comment 3 David Richards 2004-08-31 15:57:29 EDT
Indeed, thin clients are missing RENDER.

It just hangs there and sits forever with the middle of the screen
whited out.  I can take a screenshot if that helps.  Let me know how I
can help.
Comment 4 Owen Taylor 2004-08-31 16:03:28 EDT
Top on the app server (X client) should tell you whether its
a redraw loop or a freeze.
Comment 5 David Richards 2004-09-07 13:10:28 EDT
We had beta users waiting to test calendar and GroupWise and because
of this and the embedded .ics bug which made it impossible to accept
appointments.  We moved the test off of Fedora Core to another
operating system.  I won't be able to test this for you.  I don't know
therefore if you want to close this bug.
Comment 6 David Richards 2004-09-22 09:46:09 EDT
We did some more experimental with Fedora to see if it would work for
us for another project and we had to roll back and use Red Hat 9. 
When using our thin clients, GNOME applications hang and slow down
greatly in three places, pull down menus, file managers and wizards.

This is of concern for us when we attempt to move to Red Hat Ent 4
(currently on 3 which works OK) in the future.  Pango was mentioned as
the potential problem, I brought down your newer version of that
package and installed on Fedora and it still was very slow in GNOME
applications.

Let me know if I can help, this is in our best interests to find this
issue.
Comment 7 Owen Taylor 2004-09-22 09:48:37 EDT
The expectation is that things are not going to work well if you
have:

 - Remote X server not supporting the X render extension
 - Modern application using antialiased fonts

There's not really anything that can be done about that. But this
isn't the place to discuss such issues... if you want, you can
mail me privately.
Comment 8 John Thacker 2006-10-29 16:57:36 EST
Changing version to correct version bug was filed against.  (Some were filed
against "test3" when they clearly are for FC3T2, a test for FC3.)
Comment 9 Matthew Barnes 2007-01-09 12:57:32 EST
Is this bug report still relevant?  And if so, is this problem still present in
Fedora Core 6?
Comment 10 Matthew Miller 2007-04-06 11:13:07 EDT
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.
Comment 11 Matěj Cepl 2007-08-31 11:22:41 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 12 Matthew Barnes 2007-10-02 12:40:24 EDT
Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.